Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.nodes
Class RemarkNode

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.RemarkNode

All Implemented Interfaces:
  Serializable, Cloneable, Node, Remark

    public class RemarkNode

extends AbstractNode
implements Remark

The remark tag is identified and represented by this class.

See Also:
  Serialized Form

Field Summary
`protected String` | `mText` The contents of the remark node, or override text.

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`RemarkNode(Page page, int start, int end)` Constructor takes in the page and beginning and ending posns.
`RemarkNode(String text)` Constructor takes in the text string.

Method Summary
`void` | `accept(NodeVisitor visitor)` Remark visiting code.
`String` | `getText()` Returns the text contents of the comment tag.
`void` | `setText(String text)` Sets the string contents of the node.
`String` | `toHtml(boolean verbatim)` Return The full HTML remark.
`String` | `toPlainTextString()` Return the remark text.
`String` | `toString()` Print the contents of the remark tag.

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, collectInto, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, collectInto, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Field Detail

### mText

    protected String mText

  The contents of the remark node, or override text.

Constructor Detail

### RemarkNode

    public RemarkNode(String text)

  Constructor takes in the text string.

  Parameters:
    `text` - The string node text. For correct generation of HTML, this should not contain representations of tags (unless they are balanced).

### RemarkNode

    public RemarkNode(Page page,
                      int start,
                      int end)

  Constructor takes in the page and beginning and ending posns.

  Parameters:
    `page` - The page this remark is on.
    `start` - The beginning position of the remark.
    `end` - The ending positiong of the remark.

Method Detail

### getText

    public String getText()

  Returns the text contents of the comment tag.

  Specified by:
    `getText` in interface `Node`
  Specified by:
    `getText` in interface `Remark`
  Overrides:
    `getText` in class `AbstractNode`
  Returns:
    The contents of the text inside the comment delimiters.
  See Also:
    `Node.setText(java.lang.String)`

### setText

    public void setText(String text)

  Sets the string contents of the node. If the text has the remark delimiters (<!-- -->), these are stripped off.

  Specified by:
    `setText` in interface `Node`
  Specified by:
    `setText` in interface `Remark`
  Overrides:
    `setText` in class `AbstractNode`
  Parameters:
    `text` - The new text for the node.
  See Also:
    `Node.getText()`

### toPlainTextString

    public String toPlainTextString()

  Return the remark text.

  Specified by:
    `toPlainTextString` in interface `Node`
  Specified by:
    `toPlainTextString` in class `AbstractNode`
  Returns:
    The HTML comment.

### toHtml

    public String toHtml(boolean verbatim)

  Return The full HTML remark.

  Specified by:
    `toHtml` in interface `Node`
  Specified by:
    `toHtml` in class `AbstractNode`
  Parameters:
    `verbatim` - If `true` return as close to the original page text as possible.
  Returns:
    The comment, i.e. <!-- this is a comment -->.

### toString

    public String toString()

  Print the contents of the remark tag. This is suitable for display in a debugger or output to a printout. Control characters are replaced by their equivalent escape sequence and contents is truncated to 80 characters.

  Specified by:
    `toString` in interface `Node`
  Specified by:
    `toString` in class `AbstractNode`
  Returns:
    A string representation of the remark node.

### accept

    public void accept(NodeVisitor visitor)

  Remark visiting code.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `AbstractNode`
  Parameters:
    `visitor` - The `NodeVisitor` object to invoke `visitRemarkNode()` on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |